## ros-melodic-robot-upstart 0.3.0

=== debian/changelog ===
ros-melodic-robot-upstart (0.3.0-0stretch) stretch; urgency=high

  * Add a dependency onto network-online.target (#67 <https://github.com/clearpathrobotics/robot_upstart/issues/67>)
  * Clarify the reason of the error due to wrong pkgpath passed. (#57 <https://github.com/clearpathrobotics/robot_upstart/issues/57>)
  * Allow ROS_HOME to be set previously by env file. (#54 <https://github.com/clearpathrobotics/robot_upstart/issues/54>)
  * Contributors: Isaac I.Y. Saito, Thomas Furfaro, mhosmar-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 May 2018 04:00:00 -0000

ros-melodic-robot-upstart (0.2.2-0stretch) stretch; urgency=high

  * Added a spin wait until ros processes exit. (#40 <https://github.com/clearpathrobotics/robot_upstart/issues/40>)
  * Moved detect_providers to providers.py (#46 <https://github.com/clearpathrobotics/robot_upstart/issues/46>)
  * Miscellaneous source code fixups.
  * Contributors: Mike Purvis, Tony Baltovski, Zac Witte

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Jan 2017 05:00:00 -0000

ros-melodic-robot-upstart (0.2.1-0stretch) stretch; urgency=high

  * Added option to install under systemd rather than upstart (#41 <https://github.com/clearpathrobotics/robot_upstart/issues/41>)
  * Added option to add launch files as symbolic link (#43 <https://github.com/clearpathrobotics/robot_upstart/issues/43>)
  * Fix title underline to silence doc job warning.
  * Update README.md
    Use latest_available URL for documentation link.
  * Merge pull request #31 <https://github.com/clearpathrobotics/robot_upstart/issues/31> from clearpathrobotics/roslint_fix
    Remove unwanted whitespace
  * Remove unwanted whitespace
  * Merge pull request #28 <https://github.com/clearpathrobotics/robot_upstart/issues/28> from clearpathrobotics/install_multiple_files
    Updated install script to allow adding multiple launch files to a job
  * Ensure script aborts if one of the provided launch files cannot be found
  * Updated install script to allow adding multiple launch files to a job at once
  * Fix leftover {user} tokens in template.
  * Formatting changes for new pep8.
  * Contributors: Jonathan Jekir, Kazumi Malhan, Mike Purvis, Niklas Casaril

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 19 Dec 2016 05:00:00 -0000

ros-melodic-robot-upstart (0.2.0-0stretch) stretch; urgency=high

  * Linter fixes.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-melodic-robot-upstart (0.1.2-0stretch) stretch; urgency=high

  * Add some basic install/uninstall tests.
  * Add uninstall job method and script.
  * Remove out of date README content, now forwards to ROS Wiki and generated documentation.
  * Add a documentation section about permissions
  * Contributors: Gaël Ecorchard, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Mar 2015 04:00:00 -0000

ros-melodic-robot-upstart (0.1.1-0stretch) stretch; urgency=high

  * Python Rewrite
  * The startup event is too early for ROS to start, use local-filesystems instead.
  * Remove bash versions of the install and uninstall utilities.
  * Add support for supplying the --wait flag to roslaunch.
  * Add Sphinx documentation.
    To get the argparse docs required moving most of the install
    script to a module, which probably should have been done anyway.
  * Add a new-implementation install script, refactor Provider to be a class rather than function.
  * Add roslint.
  * Initial implementation of Python job generator.
  * Port templated files to use empy.
    This gets rid of the bespoke templating system that was so bad. Also
    notable here is adding a --root flag to install somewhere other than
    the actual root. This needs to be further fleshed out, for example
    by not reinvoking with sudo when installing to non-root location.
  * use LANG=C for ifconfig
  * add argument to specify log directory
  * Contributors: Eisoku Kuroiwa, Mike Purvis, ipa-mig

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-robot-upstart (0.0.6-0stretch) stretch; urgency=high

  * Add capability to also generate amalgamated descriptions, similar to launch files.
  * Update package.xml
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Feb 2014 05:00:00 -0000

ros-melodic-robot-upstart (0.0.5-0stretch) stretch; urgency=high

  * Better console outputs.
  * Remove debug output from install script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 13 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.4-0stretch) stretch; urgency=high

  * Provide --augment option, to add files to a job without creating a new one.
  * Explicitly depend on daemontools.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.3-0stretch) stretch; urgency=high

  * Supply ROS_HOME explicitly in start script.
  * Remove spurious comment from uninstall script.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.2-0stretch) stretch; urgency=high

  * Eliminate rosrun from the make process.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-melodic-robot-upstart (0.0.1-0stretch) stretch; urgency=high

  * Generalized robot upstart scripts based on turtlebot_bringup
  * Includes install and uninstall scripts

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 06 Sep 2013 04:00:00 -0000
