## ros-melodic-robot-upstart 0.3.3

=== debian/changelog ===
ros-melodic-robot-upstart (0.3.3-1bionic) bionic; urgency=high

  * Enable customization of  After= in service (#104 <https://github.com/clearpathrobotics/robot_upstart/issues/104>)
    * Cosmetic
    Remove unnecessary parenthesis.
    * Correct typo
    * FIX: Remove unreachable code
    * Enable customizable After= in service
    This feature enables the user to define the services after which the
    generated service will. This is handy when hardware-related system
    services have to start before the ROS software.
  * Added util-linux as dependency for setpriv.
  * Bumped CMake version to avoid author warning.
  * Contributors: Tkostas, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 12 May 2021 04:00:00 -0000

ros-melodic-robot-upstart (0.3.2-1bionic) bionic; urgency=high

  * Using setpriv (#101 <https://github.com/clearpathrobotics/robot_upstart/issues/101>)
    * Try replacing setuidgid with setpriv to see if this is a viable solution to the group permission issues
    * Fix a typo
    * Set the real and effective user and group IDs, not just the real ones
    * Add a missing "roslaunch" argument to the actual launch. Whoops :/
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 01 Mar 2021 05:00:00 -0000

ros-melodic-robot-upstart (0.3.1-1bionic) bionic; urgency=high

  * [doc] Add commands when systemd is chosen. (#78 <https://github.com/clearpathrobotics/robot_upstart/issues/78>)
    When systemd is specified as a provider, commands are different.
    https://wiki.ubuntu.com/SystemdForUpstartUsers
    [doc] Add systemd start/stop commands.
  * Melodic compatibility: modify getifip for bionic output (#88 <https://github.com/clearpathrobotics/robot_upstart/issues/88>)
    * Add net-tools as dependency because ifconfig is used
    * Modify getifip to handle bionic ifconfig output
  * Break line that the linter doesn't like. (#87 <https://github.com/clearpathrobotics/robot_upstart/issues/87>)
  * [doc] Clarify the logic for automated job name determination. (#82 <https://github.com/clearpathrobotics/robot_upstart/issues/82>)
    Problem addressed
    =================
    When --job option is not passed to rosrun robot_upstart install, the job name gets determined automatically but the logic of it is not clear.
    Solution to the problem
    =======================
    Add an explanation to the document.
  * [CI][kinetic-devel] Update to Xenial. (#79 <https://github.com/clearpathrobotics/robot_upstart/issues/79>)
    * [CI][kinetic-devel] Update to Xenial.
    On a PR https://github.com/clearpathrobotics/robot_upstart/pull/78 I saw [CI failure](https://travis-ci.org/clearpathrobotics/robot_upstart/builds/507510733?utm_source=github_status&utm_medium=notification) that seems to be related to platform issue. Using trusty for xenial-based job might not work (any more?).
    ```
    Unpacking python-rospkg (1.1.7-100) ...
    dpkg-deb: error: archive '/var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
    dpkg: error processing archive /var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb (--unpack):
    subprocess dpkg-deb --control returned error exit status 2
    No apport report written because MaxReports is reached already
    Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
    Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
    Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
    Errors were encountered while processing:
    /var/cache/apt/archives/python-catkin-pkg-modules_0.4.10-1_all.deb
    /var/cache/apt/archives/python-catkin-pkg_0.4.10-100_all.deb
    /var/cache/apt/archives/python-rosdistro-modules_0.7.2-1_all.deb
    /var/cache/apt/archives/python-rosdistro_0.7.2-100_all.deb
    /var/cache/apt/archives/python-rosdep_0.15.1-1_all.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    The command "sudo apt-get install python-rosdep -y" failed and exited with 100 during .
    ```
    * [CI] Switch to industrial_ci. Add ROS2 dashing.
    * [CI] Remove ROS2 dashing for now (see https://github.com/clearpathrobotics/robot_upstart/pull/79#issuecomment-533908848).
  * Add support for wait flag in the install script (#73 <https://github.com/clearpathrobotics/robot_upstart/issues/73>)
  * Contributors: Isaac I.Y. Saito, Mateusz Sadowski, Mike Purvis, Ramon Wijnands

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 01 Mar 2021 05:00:00 -0000

ros-melodic-robot-upstart (0.3.0-1bionic) bionic; urgency=high

  * Add a dependency onto network-online.target (#67 <https://github.com/clearpathrobotics/robot_upstart/issues/67>)
  * Clarify the reason of the error due to wrong pkgpath passed. (#57 <https://github.com/clearpathrobotics/robot_upstart/issues/57>)
  * Allow ROS_HOME to be set previously by env file. (#54 <https://github.com/clearpathrobotics/robot_upstart/issues/54>)
  * Contributors: Isaac I.Y. Saito, Thomas Furfaro, mhosmar-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 May 2018 04:00:00 -0000

ros-melodic-robot-upstart (0.2.2-1bionic) bionic; urgency=high

  * Added a spin wait until ros processes exit. (#40 <https://github.com/clearpathrobotics/robot_upstart/issues/40>)
  * Moved detect_providers to providers.py (#46 <https://github.com/clearpathrobotics/robot_upstart/issues/46>)
  * Miscellaneous source code fixups.
  * Contributors: Mike Purvis, Tony Baltovski, Zac Witte

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 23 Jan 2017 05:00:00 -0000

ros-melodic-robot-upstart (0.2.1-1bionic) bionic; urgency=high

  * Added option to install under systemd rather than upstart (#41 <https://github.com/clearpathrobotics/robot_upstart/issues/41>)
  * Added option to add launch files as symbolic link (#43 <https://github.com/clearpathrobotics/robot_upstart/issues/43>)
  * Fix title underline to silence doc job warning.
  * Update README.md

