=== debian/control ===
Source: ros-melodic-robot-upstart
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslint, ros-melodic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-robot-upstart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemontools, net-tools, ros-melodic-roslaunch, ros-melodic-xacro, setpriv, util-linux
Description: The robot_upstart package provides scripts which may be used to install and uninstall Ubuntu Linux upstart jobs which launch groups of roslaunch files.
